# encoding: utf-8
"""
Вспомогательные функции. Файловые пути.
"""
import os
import shutil


def get_path(*paths):
    """
    Сформировать путь с учетом ~/.

    :param paths: Список частей пути
    :type paths: str
    :return: Абсолютный путь
    :rtype: str
    """
    # pylint: disable=no-value-for-parameter
    return os.path.expanduser(os.path.join(*paths))


def remove_dir_content(path):
    """
    Удалить содержимое папки.

    :param path: Путь до папки
    :type path: str
    """
    for filename in os.listdir(path):
        file_path = os.path.join(path, filename)
        if os.path.isfile(file_path) or os.path.islink(file_path):
            os.unlink(file_path)
        elif os.path.isdir(file_path):
            shutil.rmtree(file_path)
